Xamarin.Android : Google Play app target level error solution

If you are uploading an application to the Google Play, and it gives the following error:

Your app currently targets API level 28 and must target at least API  level 29 to ensure it is built on the latest APIs optimized for security  and performance. Change your app's target API level to at least 29 

You have to change the target framework and the target android version in your androidmanifest.xml or in the UI editor of the manifest. To change it, set the Target Framework in the properties tab of your android application

Changing target framework

Then Navigate to Android Manifest option, and set target android version

Setting Target Android version

If you are re archive your application, it will upload successfully.

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.